Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common.wfapp
Class WFAppManifest

    java.lang.Object
      com.fujitsu.iflow.common.wfapp.WFAppManifest

All Implemented Interfaces:
  java.io.Serializable

public class WFAppManifest
extends java.lang.Object
implements java.io.Serializable

WFAppManifest provides methods to collect and set informations for the components of a workflow application package. With these informations WFAppManifest can create and access a XML format manifest file that stores the component informations. IBPM uses the manifest file to track components inside the package. While importing the package, the manifest file is used to deploy the components. For more information regarding component, please see WFAppComponent.

See Also:
  Serialized Form

Constructor Summary
`WFAppManifest()`

Method Summary
`void` | `addClientComponent(WFAppComponent component)` Adds a client side component for the workflow application.
`void` | `addServerComponent(WFAppComponent component)` Adds a server side component for the workflow application.
`void` | `addTemplateId(java.lang.Long templateId)` Adds a process definition id for the workflow application.
`static WFAppManifest` | `convertFromXML(java.io.InputStream xmlStream)` Converts an XML input stream into a manifest object.
`static java.io.InputStream` | `convertToXML(WFAppManifest manifest)` Converts a manifest object into an XML input stream.
`WFAppComponent[]` | `getClientComponents()` Returns the client side components for the workflowapplication.
`java.util.Hashtable` | `getClientRealToVirtualMapping()` Returns the client real_to_virtual pattern mapping hash table.
`java.util.Hashtable` | `getClientVirtualToRealMapping()` Returns the client virtual_to_real pattern mapping hash table.
`java.lang.String` | `getPackageName()` Returns the package name.
`java.util.Hashtable` | `getRealToVirtualMapping()` Returns the real_to_virtual pattern mapping hash table.
`WFAppComponent[]` | `getServerComponents()` Returns the server side components for the workflow application.
`java.lang.Long[]` | `getTemplateIds()` Gets the process definition ids for the workflow application.
`java.lang.String` | `getVersion()` Returns the manifest version.
`java.util.Hashtable` | `getVirtualToRealMapping()` Returns the virtual_to_real pattern mapping hash table.
`java.lang.String` | `getWorkingDir()` Returns the package working directory.
`void` | `removeClientComponent(WFAppComponent component)` Removes the specified client side component for the workflow application.
`void` | `removeClientComponents()` Removes all client side components for the workflow application.
`void` | `removeServerComponent(WFAppComponent component)` Removes the specified server side component for the workflow application.
`void` | `removeServerComponents()` Removes all server side components for the workflow application.
`void` | `removeTemplateId(java.lang.Long templateId)` Removes a process definition id for the workflow application.
`void` | `setClientVirtualToRealMapping(java.util.Hashtable clientVirtualToReal)` Sets the client virtual_to_real pattern mapping hash table.
`void` | `setPackageName(java.lang.String packageName)` Sets the package name.
`void` | `setVersion(java.lang.String version)` Sets the manifest version.
`void` | `setVirtualToRealMapping(java.util.Hashtable virtualToReal)` Sets the virtual_to_real pattern as well as the real_to_virtual mapping hash table.
`void` | `setWorkingDir(java.lang.String workingDir)` Sets the package working directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WFAppManifest

    public WFAppManifest()

Method Detail

### getRealToVirtualMapping

    public java.util.Hashtable getRealToVirtualMapping()

  Returns the real_to_virtual pattern mapping hash table.

  Returns:
    The real_to_virtual pattern mapping hash table.

### getVirtualToRealMapping

    public java.util.Hashtable getVirtualToRealMapping()

  Returns the virtual_to_real pattern mapping hash table.

  Returns:
    The virtual_to_real pattern mapping hash table.

### setVirtualToRealMapping

    public void setVirtualToRealMapping(java.util.Hashtable virtualToReal)

  Sets the virtual_to_real pattern as well as the real_to_virtual mapping hash table. The latter one will be set automatically using the information of the first one.

  Parameters:
    `virtualToReal` - The virtual_to_real pattern mapping hash table.

### getClientRealToVirtualMapping

    public java.util.Hashtable getClientRealToVirtualMapping()

  Returns the client real_to_virtual pattern mapping hash table.

  Returns:
    A copy of the client real_to_virtual pattern mapping hash table.

### getClientVirtualToRealMapping

    public java.util.Hashtable getClientVirtualToRealMapping()

  Returns the client virtual_to_real pattern mapping hash table.

  Returns:
    A copy of the client virtual_to_real pattern mapping hash table.

### setClientVirtualToRealMapping

    public void setClientVirtualToRealMapping(java.util.Hashtable clientVirtualToReal)

  Sets the client virtual_to_real pattern mapping hash table. Using those information it also sets the client real_to_virtual pattern mapping hash table automatically.

  Parameters:
    `clientVirtualToReal` - The client virtual_to_real pattern mapping hash table.

### getWorkingDir

    public java.lang.String getWorkingDir()

  Returns the package working directory.

  Returns:
    A string containing the working directory.

### setWorkingDir

    public void setWorkingDir(java.lang.String workingDir)

  Sets the package working directory.

  Parameters:
    `workingDir` - A string naming the working directory.

### getPackageName

    public java.lang.String getPackageName()

  Returns the package name.

  Returns:
    The name of the package.

### setPackageName

    public void setPackageName(java.lang.String packageName)

  Sets the package name.

  Parameters:
    `packageName` - The package name.

### getVersion

    public java.lang.String getVersion()

  Returns the manifest version.

  Returns:
    The manifest version.

### setVersion

    public void setVersion(java.lang.String version)

  Sets the manifest version.

  Parameters:
    `version` - The manifest version.

### getTemplateIds

    public java.lang.Long[] getTemplateIds()

  Gets the process definition ids for the workflow application.

  Returns:
    An array of process definition ids for the workflow application.

### getServerComponents

    public WFAppComponent[] getServerComponents()

  Returns the server side components for the workflow application.

  Returns:
    An array of the server side components.

### getClientComponents

    public WFAppComponent[] getClientComponents()

  Returns the client side components for the workflowapplication.

  Returns:
    An array of the client side components.

### addServerComponent

    public void addServerComponent(WFAppComponent component)

  Adds a server side component for the workflow application. If the component already exists it won't be added again.

  Parameters:
    `component` - The server side component to be added.

### addClientComponent

    public void addClientComponent(WFAppComponent component)

  Adds a client side component for the workflow application. If the component already exists it won't be added again.

  Parameters:
    `component` - The client side component to be added.

### addTemplateId

    public void addTemplateId(java.lang.Long templateId)

  Adds a process definition id for the workflow application. It ignores duplicate values, that means existing entries won't be added again.

  Parameters:
    `templateId` - The process definition id.

### removeServerComponent

    public void removeServerComponent(WFAppComponent component)

  Removes the specified server side component for the workflow application.

  Parameters:
    `component` - The server side component to be removed.

### removeServerComponents

    public void removeServerComponents()

  Removes all server side components for the workflow application.

### removeClientComponent

    public void removeClientComponent(WFAppComponent component)

  Removes the specified client side component for the workflow application.

  Parameters:
    `component` - The client side component to be removed.

### removeClientComponents

    public void removeClientComponents()

  Removes all client side components for the workflow application.

### removeTemplateId

    public void removeTemplateId(java.lang.Long templateId)

  Removes a process definition id for the workflow application.

  Parameters:
    `templateId` - The process definition id.

### convertToXML

    public static java.io.InputStream convertToXML(WFAppManifest manifest)
                                            throws ModelException

  Converts a manifest object into an XML input stream.

  Parameters:
    `manifest` - The manifest object.
  Returns:
    The XML input stream.
  Throws:
    `ModelException`

### convertFromXML

    public static WFAppManifest convertFromXML(java.io.InputStream xmlStream)
                                        throws ModelException

  Converts an XML input stream into a manifest object.

  Parameters:
    `xmlStream` - The xml input stream.
  Returns:
    The manifest object.
  Throws:
    `ModelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD